qwhich(1)

NAME
qwhich - find path to pkg

SYNOPSIS
qwhich [opts] <pkg ...>

DESCRIPTION
qwhich returns the paths to the ebuilds matching the given atoms. Searching is done by default over the main ebuild repository and all configured overlays. When requested, a search can be made over the repository of installed packages (VDB) or binpkg repos.

The default action is to print the full path to the latest ebuild for each package. This can be changed using -d to print the directory the ebuild is in instead. E.g. one could cd(1) to this directory. Alternatively, one can request to stop searching after the first match using -f, which means at most one match per repo is returned.

qwhich accepts atoms to search for, which can be any valid atom, including e.g. version specifications to narrow the search.

OPTIONS

-I, --vdb
    Look in VDB (installed packages).

-b, --binpkg
    Look at binary packages.

-t, --tree
    Look in main tree and overlays.

-p, --pretty
    Print (pretty) atom instead of path for use with -F.

-d, --dir
    Print directory instead of path.

-R, --repo
    Print repository name instead of path for tree/overlay matches.

-f, --first
    Stop searching after first match (implies -l).

-l, --latest
    Only return latest version for each match.

-T, --novirtual
    Skip virtual category.

-A, --noacct
    Skip acct-user and acct-group categories.

-F <arg>, --format <arg>
    Print matched using given format string.

--root <arg>
    Set the ROOT env var.

-v, --verbose
    Report full package versions, emit more elaborate output.

-q, --quiet
    Tighter output; suppress warnings.

-C, --nocolor
    Don't output color.

--color
    Force color in output.

-h, --help
    Print this help and exit.

-V, --version
    Print version and exit.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Fabian Groffen <grobian@gentoo.org>

SEE ALSO
q(1), qatom(1), qcheck(1), qdepends(1), qfile(1), qgrep(1), qkeyword(1), qlist(1), qlop(1), qmanifest(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), qtegrity(1), quse(1), qxpak(1)